%define upstream_name    PPI-HTML
%define upstream_version 1.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Generate syntax-hightlighted HTML for Perl using PPI
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/PPI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CSS::Tiny)
BuildRequires: perl(File::Spec)
BuildRequires: perl(PPI)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
PPI::HTML converts Perl documents into syntax highlighted HTML pages.


%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes README LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/ppi2html

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.80.0-7.mga6
+ Revision: 1032682
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.80.0-6.mga6
+ Revision: 936359
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.80.0-5.mga5
+ Revision: 742861
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.80.0-4.mga5
+ Revision: 685841
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.80.0-3.mga4
+ Revision: 513788
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.80.0-2.mga3
+ Revision: 371330
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.80.0-1.mga1
+ Revision: 34102
- mageia rebuild
- imported package perl-PPI-HTML

